## ros-one-warehouse-ros-sqlite 0.9.1-1jammy.20251207.2349

=== debian/changelog ===
ros-one-warehouse-ros-sqlite (0.9.1-1jammy.20251207.2349) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 07 Dec 2025 23:49:00 +0000

ros-one-warehouse-ros-sqlite (0.9.1-0jammy) jammy; urgency=high

  * Fix column name escaping (#44 <https://github.com/ros-planning/warehouse_ros_sqlite/issues/44>)
  * Correctly declare and use pluginlib (#40 <https://github.com/ros-planning/warehouse_ros_sqlite/issues/40>)
  * Do not enforce old C++ standard
  * Use warehouse_ros from Debians (#36 <https://github.com/ros-planning/warehouse_ros_sqlite/issues/36>)
  * Contributors: Bjar Ne, Michael Görner, Robert Haschke, v4hn

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 06 Aug 2024 00:00:00 -0000

## ros-one-warehouse-ros-sqlite 0.9.1-1jammy.20260221.2243

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7.2)
project(warehouse_ros_sqlite)

set(CMAKE_CXX_VISIBILITY_PRESET hidden)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(PkgConfig REQUIRED)
find_package(Boost REQUIRED COMPONENTS filesystem)

pkg_check_modules(SQLite3 REQUIRED IMPORTED_TARGET sqlite3)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  rostest
  rostime
  warehouse_ros
  pluginlib
)


catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS warehouse_ros roscpp
)

add_library(${PROJECT_NAME} SHARED
  src/database_connection.cpp
  src/message_collection_helper.cpp
  src/metadata.cpp
  src/query.cpp
  src/result_iteration_helper.cpp
)
# generate macros for symbol visibility
include(GenerateExportHeader)
generate_export_header(${PROJECT_NAME} EXPORT_FILE_NAME ${PROJECT_NAME}/${PROJECT_NAME}_export.h)
target_include_directories(${PROJECT_NAME} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} PkgConfig::SQLite3)
target_include_directories(${PROJECT_NAME} PUBLIC include)
target_include_directories(${PROJECT_NAME} SYSTEM PUBLIC ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})


install(FILES sqlite_database_connection_plugin_description.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(TARGETS ${PROJECT_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})
install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}/${PROJECT_NAME}_export.h
        DESTINATION include/${PROJECT_NAME})

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(DBConnection test/DatabaseConnection.cpp)
  target_link_libraries(DBConnection ${PROJECT_NAME})

  catkin_add_gtest(SchemaVersion test/SchemaVersion.cpp)
  target_link_libraries(SchemaVersion ${PROJECT_NAME} PkgConfig::SQLite3)

  add_rostest_gtest(TestLoader test/loader.test test/TestLoader.cpp)
  target_include_directories(TestLoader SYSTEM PUBLIC ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
  target_link_libraries(TestLoader ${catkin_LIBRARIES} ${Boost_LIBRARIES})

  catkin_add_gtest(BusyHandler test/BusyHandler.cpp)
  target_include_directories(TestLoader SYSTEM PUBLIC ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
  target_link_libraries(BusyHandler ${PROJECT_NAME} ${Boost_LIBRARIES})
endif()

=== debian/changelog ===
ros-one-warehouse-ros-sqlite (0.9.1-1jammy.20260221.2243) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 21 Feb 2026 22:43:46 +0000

=== debian/control ===
Source: ros-one-warehouse-ros-sqlite
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libsqlite3-dev, ros-one-catkin, ros-one-pluginlib, ros-one-roscpp, ros-one-rostime, ros-one-warehouse-ros
Homepage: http://ros.org/wiki/warehouse_ros
Standards-Version: 3.9.2

Package: ros-one-warehouse-ros-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-pluginlib, ros-one-roscpp, ros-one-rostime, ros-one-warehouse-ros, sqlite3
Description: Implementation of warehouse_ros for sqlite

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-warehouse-ros-sqlite//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-warehouse-ros-sqlite 0.9.1-1noble.20251208.1041

=== debian/changelog ===
ros-one-warehouse-ros-sqlite (0.9.1-1noble.20251208.1041) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 08 Dec 2025 10:41:37 +0000

ros-one-warehouse-ros-sqlite (0.9.1-0noble) noble; urgency=high

  * Fix column name escaping (#44 <https://github.com/ros-planning/warehouse_ros_sqlite/issues/44>)
  * Correctly declare and use pluginlib (#40 <https://github.com/ros-planning/warehouse_ros_sqlite/issues/40>)
  * Do not enforce old C++ standard
  * Use warehouse_ros from Debians (#36 <https://github.com/ros-planning/warehouse_ros_sqlite/issues/36>)
  * Contributors: Bjar Ne, Michael Görner, Robert Haschke, v4hn

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 06 Aug 2024 00:00:00 -0000

## ros-one-warehouse-ros-sqlite 0.9.1-1noble.20260221.2345

=== debian/changelog ===
ros-one-warehouse-ros-sqlite (0.9.1-1noble.20260221.2345) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 21 Feb 2026 23:45:06 +0000
